CREATE TABLE doo_order_total_components (
    ORDER_TOTAL_COMPONENT_ID     NUMBER(18, 0),
    ORDER_TOTAL_ID               NUMBER(18, 0)    NOT NULL,
    ORDER_CHARGE_COMPONENT_ID    NUMBER(18, 0)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    ORDER_TOTAL_COMPONENT_ID     NUMBER(18, 0),
    ORDER_TOTAL_ID               NUMBER(18, 0)    NOT NULL,
    ORDER_CHARGE_COMPONENT_ID    NUMBER(18, 0)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_doo_order_total_components PRIMARY KEY (ORDER_TOTAL_COMPONENT_ID, ORDER_TOTAL_COMPONENT_ID)
);
